From 973ab984b6c289dd2c88abbdf1b29c48abb4dbc7 Mon Sep 17 00:00:00 2001
From: Tuomas Nurmi <tuomas@norsumanageri.org>
Date: Sat, 22 Feb 2025 10:56:38 +0200
Subject: [PATCH] Make lastfm and gpodder parts compile with strict flags, too

---
 .../applets/similarartists/plugin/SimilarArtistModel.cpp    | 6 +++---
 src/services/gpodder/GpodderPodcastMeta.h                   | 2 +-
 src/services/gpodder/GpodderPodcastRequestHandler.h         | 2 +-
 src/services/gpodder/GpodderPodcastTreeItem.h               | 2 +-
 src/services/gpodder/GpodderProvider.h                      | 4 ++--
 src/services/gpodder/GpodderService.cpp                     | 4 ++--
 src/services/gpodder/GpodderServiceModel.h                  | 4 ++--
 src/services/gpodder/GpodderTagTreeItem.h                   | 2 +-
 src/services/gpodder/GpodderTreeItem.h                      | 4 ++--
 9 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/src/context/applets/similarartists/plugin/SimilarArtistModel.cpp b/src/context/applets/similarartists/plugin/SimilarArtistModel.cpp
index 333cc85e45..eec964b8c1 100644
--- a/src/context/applets/similarartists/plugin/SimilarArtistModel.cpp
+++ b/src/context/applets/similarartists/plugin/SimilarArtistModel.cpp
@@ -185,7 +185,7 @@ SimilarArtistModel::fillArtistInfoFromXml( QXmlStreamReader &xml )
     QString plays;
     QString ownPlays;
     QString tags;
-    QString bio=" ";
+    QString bio=QLatin1String(" ");
 
     while( xml.name() != QLatin1String("name") )
         xml.readNextStartElement();
@@ -242,7 +242,7 @@ SimilarArtistModel::fillArtistInfoFromXml( QXmlStreamReader &xml )
                 {
                     bio = xml.readElementText().replace( QStringLiteral("\n"), QStringLiteral("<br>") );
                     if(bio == QString())
-                        bio = " ";
+                        bio = QLatin1String(" ");
                 }
                 else
                     xml.skipCurrentElement();
@@ -256,7 +256,7 @@ SimilarArtistModel::fillArtistInfoFromXml( QXmlStreamReader &xml )
     {
         if( auto artist = dynamic_cast< SimilarArtistItem *>( i ) )
         {
-            artist->m_bioText = bio.isNull() ? " " : bio;
+            artist->m_bioText = bio.isNull() ? QLatin1String(" ") : bio;
             artist->m_listenerCount = listeners;
             artist->m_playCount = plays;
             artist->m_ownPlayCount = ownPlays;
diff --git a/src/services/gpodder/GpodderPodcastMeta.h b/src/services/gpodder/GpodderPodcastMeta.h
index abe2c9f2b6..b929173a24 100644
--- a/src/services/gpodder/GpodderPodcastMeta.h
+++ b/src/services/gpodder/GpodderPodcastMeta.h
@@ -22,7 +22,7 @@
 
 #include "core/playlists/PlaylistProvider.h"
 #include "core/podcasts/PodcastMeta.h"
-#include <mygpo-qt5/ApiRequest.h>
+#include <mygpo-qt6/ApiRequest.h>
 
 namespace Podcasts {
 
diff --git a/src/services/gpodder/GpodderPodcastRequestHandler.h b/src/services/gpodder/GpodderPodcastRequestHandler.h
index c56ec1942f..ce787f4cb3 100644
--- a/src/services/gpodder/GpodderPodcastRequestHandler.h
+++ b/src/services/gpodder/GpodderPodcastRequestHandler.h
@@ -20,7 +20,7 @@
 #define GPODDERPODCASTREQUESTHANDLER_H_
 
 #include "GpodderServiceModel.h"
-#include <mygpo-qt5/PodcastList.h>
+#include <mygpo-qt6/PodcastList.h>
 
 #include <QModelIndex>
 
diff --git a/src/services/gpodder/GpodderPodcastTreeItem.h b/src/services/gpodder/GpodderPodcastTreeItem.h
index 91323fb770..16b0f8c6b2 100644
--- a/src/services/gpodder/GpodderPodcastTreeItem.h
+++ b/src/services/gpodder/GpodderPodcastTreeItem.h
@@ -20,7 +20,7 @@
 #define GPODDERPODCASTTREEITEM_H_
 
 #include "GpodderTreeItem.h"
-#include <mygpo-qt5/Podcast.h>
+#include <mygpo-qt6/Podcast.h>
 
 class GpodderPodcastTreeItem: public GpodderTreeItem
 {
diff --git a/src/services/gpodder/GpodderProvider.h b/src/services/gpodder/GpodderProvider.h
index 9551a97a69..61e6642b01 100644
--- a/src/services/gpodder/GpodderProvider.h
+++ b/src/services/gpodder/GpodderProvider.h
@@ -23,8 +23,8 @@
 #include "core/podcasts/PodcastProvider.h"
 #include "core/podcasts/PodcastReader.h"
 #include "GpodderPodcastMeta.h"
-#include <mygpo-qt5/ApiRequest.h>
-#include <mygpo-qt5/EpisodeActionList.h>
+#include <mygpo-qt6/ApiRequest.h>
+#include <mygpo-qt6/EpisodeActionList.h>
 #include "playlistmanager/file/KConfigSyncRelStore.h"
 #include "playlistmanager/PlaylistManager.h"
 
diff --git a/src/services/gpodder/GpodderService.cpp b/src/services/gpodder/GpodderService.cpp
index b2d51ea807..4c43ea7b4a 100644
--- a/src/services/gpodder/GpodderService.cpp
+++ b/src/services/gpodder/GpodderService.cpp
@@ -27,8 +27,8 @@
 #include "GpodderServiceModel.h"
 #include "GpodderServiceView.h"
 #include "GpodderSortFilterProxyModel.h"
-#include <mygpo-qt5/ApiRequest.h>
-#include <mygpo-qt5/Podcast.h>
+#include <mygpo-qt6/ApiRequest.h>
+#include <mygpo-qt6/Podcast.h>
 #include "playlistmanager/PlaylistManager.h"
 #include "widgets/SearchWidget.h"
 
diff --git a/src/services/gpodder/GpodderServiceModel.h b/src/services/gpodder/GpodderServiceModel.h
index 6eb979ca07..59c67d2fde 100644
--- a/src/services/gpodder/GpodderServiceModel.h
+++ b/src/services/gpodder/GpodderServiceModel.h
@@ -20,8 +20,8 @@
 #define GPODDERSERVICEMODEL_H_
 
 #include "GpodderTreeItem.h"
-#include <mygpo-qt5/ApiRequest.h>
-#include <mygpo-qt5/TagList.h>
+#include <mygpo-qt6/ApiRequest.h>
+#include <mygpo-qt6/TagList.h>
 #include "NetworkAccessManagerProxy.h"
 
 #include <QAbstractItemModel>
diff --git a/src/services/gpodder/GpodderTagTreeItem.h b/src/services/gpodder/GpodderTagTreeItem.h
index 63cc965d89..16a8b95cf3 100644
--- a/src/services/gpodder/GpodderTagTreeItem.h
+++ b/src/services/gpodder/GpodderTagTreeItem.h
@@ -20,7 +20,7 @@
 #define GPODDERTAGTREEITEM_H_
 
 #include "GpodderTreeItem.h"
-#include <mygpo-qt5/Tag.h>
+#include <mygpo-qt6/Tag.h>
 
 #include <QObject>
 
diff --git a/src/services/gpodder/GpodderTreeItem.h b/src/services/gpodder/GpodderTreeItem.h
index 642e1cb371..7b311b659e 100644
--- a/src/services/gpodder/GpodderTreeItem.h
+++ b/src/services/gpodder/GpodderTreeItem.h
@@ -19,8 +19,8 @@
 #ifndef GPODDERTREEITEM_H_
 #define GPODDERTREEITEM_H_
 
-#include <mygpo-qt5/ApiRequest.h>
-#include <mygpo-qt5/TagList.h>
+#include <mygpo-qt6/ApiRequest.h>
+#include <mygpo-qt6/TagList.h>
 
 #include <QList>
 #include <QModelIndex>
-- 
GitLab

